equal_range
Prev | Chapter 6. Db_multimap | Next

## equal_range

### Function Details

    equal_range(const key_type &x) const

Find the range within which all keys equal to specified key x.

#### Parameters

##### x

The target key to find.

#### Return Value

The range [first, last).

#### See Also

http://www.cplusplus.com/reference/stl/multimap/equal_range/

    equal_range(const key_type &x,
        bool readonly=false)

Find the range within which all keys equal to specified key x.

#### Parameters

##### x

The target key to find.

##### readonly

Whether the returned iterator is readonly.

#### Return Value

The range [first, last).

#### See Also

http://www.cplusplus.com/reference/stl/multimap/equal_range/

### Group: Searching Functions

See of db_map's searching functions group for details about iterator, function version and parameters.

db_map

### Class

db_multimap

Prev | Up | Next
erase | Home | equal_range_N